libevemu-dev_2.6.0-0.1_i386.deb


Advertisement

Description

libevemu-dev - Linux Input Event Device Emulation Library - development files

Property Value
Distribution Debian 9 (Stretch)
Repository Debian Main i386
Package filename libevemu-dev_2.6.0-0.1_i386.deb
Package name libevemu-dev
Package version 2.6.0
Package release 0.1
Package architecture i386
Package type deb
Category devel::library libdevel role::devel-lib
Homepage http://www.freedesktop.org/wiki/Evemu/
License -
Maintainer Stephen M. Webb <stephen.webb@bregmasoft.ca>
Download size 14.06 KB
Installed size 54.00 KB
The evemu library and tools are used to describe devices, record data,
create emulation devices and replay data from kernel evdev (input event)
devices.
This package contains files that are needed to build applications.

Alternatives

Package Version Architecture Repository
libevemu-dev_2.6.0-0.1_amd64.deb 2.6.0 amd64 Debian Main
libevemu-dev - - -

Requires

Name Value
libevemu3 = 2.6.0-0.1

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libevemu-dev_2.6.0-0.1_i386.deb
Source Package evemu

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libevemu-dev deb package:
    # sudo apt-get install libevemu-dev

Files

Path
/usr/include/evemu.h
/usr/lib/i386-linux-gnu/libevemu.a
/usr/lib/i386-linux-gnu/libevemu.so
/usr/lib/i386-linux-gnu/pkgconfig/evemu.pc
/usr/share/doc/libevemu-dev/changelog.Debian.gz
/usr/share/doc/libevemu-dev/copyright

Changelog

2016-12-15 - Julien Cristau <jcristau@debian.org>
evemu (2.6.0-0.1) unstable; urgency=medium
* Non-maintainer upload.
* Fix debian/watch and add upstream signature verification.
* New upstream release (closes: #834694)
* Update 0003-fix-python-startup-crash.patch to actually do something
useful, and extend it to also 1) not hardcode libc's SONAME, and 2) use
libevdev's current SONAME rather than loading the .so symlink which may or
may not be available.
* Add dependency on libevdev2 from the python*-evemu packages since we
dlopen it.
2015-06-03 - Stephen M. Webb <stephen.webb@bregmasoft.ca>
evemu (2.1.0-1) unstable; urgency=low
* new upstream release (closes: #787586)
* debian/patches/0002-check-test-conditions.patch: refreshed
* debian/patches/0004-out-of-source-compile.patch: removed
* debian/patches/0005-python3-raise-syntax.patch: removed
* debian/control: added Build-Depends on libevdev-dev
- updated to Standards-Version 3.9.6 (no changes required)
- bumped package names to match new SONAME
2014-04-21 - Stephen M. Webb <stephen.webb@bregmasoft.ca>
evemu (1.2.0-2) unstable; urgency=low
* update Python3 build-dependency (closes: #741826)
2013-12-12 - Stephen M. Webb <stephen.webb@bregmasoft.ca>
evemu (1.2.0-1) unstable; urgency=low
* New upstream release.
* debian/patches/0001-add-evemu-event-manpage.patch: removed
* debian/control: un-forced Python3 version
- updated to Standards-Version 3.9.5 (no changes)
* debian/python3-evemu: fixed paths
* debian/patches/0005-python3-raise-syntax.patch:
- fix exception raise syntax for Python3 (closes: #706155)
* debian/libevemu1.symbols: added new symbols
* debian/copyright: added new maintainers
2013-02-19 - Stephen M. Webb <stephen.webb@bregmasoft.ca>
evemu (1.0.10-1) experimental; urgency=low
* initial Debian package (closes: #663877)
* changed upstream source location and package name
* New upstream release.
* debian/control: updated Standards-Version to 3.9.4 (no changes required)
* debian/patches/0001-add-evemu-event-manpage.patch: manpage fix from upstream
* debian/patches/0002-check-test-conditions.patch: disable unrunnable unit
tests
* debian/patches/0003-fix-python-startup-crash.patch: fix a crash in python
bindings due to incorrect search string
* debian/patches/0004-out-of-source-compile.patch: fix out-of-source builds
2012-03-24 - Stephen M. Webb <stephen.webb@bregmasoft.ca>
utouch-evemu (1.0.9-1) precise; urgency=low
* debian/copyright: changed Format to URL of official format
* debian/control: updated Standards-Version to 3.9.3 (no changes required)
* removed udeb binary package
* debian/control: moved python-utouch-evemu into Python section
* updated to debhelper compat level 9
- added multi-arch support
* New upstream release.
- fixes C++ compile problems (lp: #771763)
- fixes node search problems (lp: #735614)
- change library license to LGPLv3 (lp: #963167)
2011-12-01 - Stephen M. Webb <stephen.webb@canonical.com>
utouch-evemu (1.0.8-0ubuntu1) precise; urgency=low
* Restored required autoreconf invocation.
* Ran control file through wrap-and-sort.
* Enriched package descriptions to silence lintian warnings.
* New upstream release.
- added python bindings (LP: #731678).
- fixed buffer overflow (LP: #884848).
* Converted to dh packaging.
2011-10-30 - Chase Douglas <chase.douglas@ubuntu.com>
utouch-evemu (1.0.7-0ubuntu1) precise; urgency=low
* New upstream release.
- Fix corrupted recordings when terminated
* Bump lintian standards to 3.9.2
* Removed unnecessary autoreconf invocation
2011-03-16 - Chase Douglas <chase.douglas@ubuntu.com>
utouch-evemu (1.0.5-0ubuntu1) natty; urgency=low
[ Henrik Rydberg ]
* New upstream release.
* Add the new functions to the symbols file
* Feature freeze exception LP: #735558

See Also

Package Description
libevemu3_2.6.0-0.1_i386.deb Linux Input Event Device Emulation Library
libevent-2.0-5_2.0.21-stable-3_i386.deb Asynchronous event notification library
libevent-core-2.0-5_2.0.21-stable-3_i386.deb Asynchronous event notification library (core)
libevent-dev_2.0.21-stable-3_i386.deb Asynchronous event notification library (development files)
libevent-extra-2.0-5_2.0.21-stable-3_i386.deb Asynchronous event notification library (extra)
libevent-openssl-2.0-5_2.0.21-stable-3_i386.deb Asynchronous event notification library (openssl)
libevent-perl_1.26-1+b1_i386.deb generic Perl event loop module
libevent-pthreads-2.0-5_2.0.21-stable-3_i386.deb Asynchronous event notification library (pthreads)
libevent-rpc-perl_1.08-2+deb9u1_all.deb Event based transparent Client/Server RPC framework
libevhtp-dev_1.2.11-3_i386.deb Libevent based HTTP API - development files
libevhtp-doc_1.2.11-3_all.deb Libevent based HTTP API - documentation
libevhtp0_1.2.11-3_i386.deb Libevent based HTTP API
libevince-dev_3.22.1-3+deb9u1_i386.deb Document (PostScript, PDF) rendering library - development files
libevocosm-4.0-4_4.0.2-3.1_i386.deb C++ framework for developing evolutionary algorithms
libevocosm-dev_4.0.2-3.1_i386.deb C++ framework for developing evolutionary algorithms
Advertisement
Advertisement